Subject: Re: [net v3 PATCH 3/5] octeontx2-af: Allow mkex profiles without dmac.

From: Jakub Kicinski <[email-masked]>
Date: Fri, 29 Jul 2022 21:20:04 -0700

On Fri, 29 Jul 2022 21:13:48 +0530 Subbaraya Sundeep wrote:
> It is possible to have custom mkex profiles which do not extract
> DMAC into the key to free up space in the key and use it for L3
> or L4 packet fields. Current code bails out if DMAC extraction is
> not present in the key. This patch fixes it by allowing profiles
> without DMAC and also supports installing rules based on L2MB bit
> set by hardware for multicast and broadcast packets.
> 
> This patch also adds debugging prints needed to identify profiles
> with wrong configuration.

I had some questions about whether this is regression fix or new
feature and the size of this patch - which do not seem to have been
addressed.